Subject: Re: [RFC] Show empty root commits when using --simplify-by-decoration

From: Fernando Ramos <[email-masked]>
Date: Sat, 4 Apr 2026 22:05:03 +0200

On 26/04/04 06:08PM, Pablo wrote:
> >
> > Issue (2) can be "fixed" by using a diferent character (for example "I") for
> > root commits...
> 
> This has actually been discussed before and it was ruled out some years ago.
>   https://lore.kernel.org/git/[email-masked]/
>
> You might find interesting a patch I'm working on that tackles that
> confusing look when two "parentless" commits are stacked.
>   https://lore.kernel.org/git/[email-masked]/
> 
> This answer from junio might be helpful as well:
>   https://lore.kernel.org/git/[email-masked]/

Ups... I completely missed those on the very quick search I did on the topic.
Sorry.  I will ignore "Issue (2)" then and wait for your patch :)

> One more thing, even if it's an RFC it would be much easier for reviewers if
> the patches were sent as git format-patch (one each email) with a cover
> letter, discussing your RFC, so anyone can use git am and b4 to apply the
> patches.

Thanks, I was not sure whether I should send individual emails for this,
considering that, after the feedback, they might be dropped.  But now I know.

Once I receive freedback on whether the "fix" for "Issue (1)" is a good idea or
not, I will resubmit a proper patch.

Thanks.